﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[ExecuteInEditMode]
[RequireComponent(typeof(Camera))]
public class WholeScenePerPixelContours : MonoBehaviour {
    [Range(0, 1.0f)]
    public float contourThreshold;
    [Range(0, 1.0f)]
    public float contourFalloff;
    // Use this for initialization
    void Start () {
        Camera camera = GetComponent<Camera>();
        Shader shader = Shader.Find("NPR/PerPixelContoursReplacementShader");
        camera.SetReplacementShader(shader, "");

    }
	
	// Update is called once per frame
	void Update () {
        Shader.SetGlobalFloat("contourThreshold", contourThreshold);
        Shader.SetGlobalFloat("contourFalloff", contourFalloff);
    }
}
